<?php
//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	
	$StrPre=V($_POST['TxtPre']);
	$StrIgv=V($_POST['TxtIgv']);
	$StrMon=V($_POST['TxtMon']);
	$StrFdp=V($_POST['TxtFdp']);
	$StrTde=V($_POST['TxtTde']);
	$StrGar=V($_POST['TxtGar']);
	$StrVal=V($_POST['TxtVal']);
	$StrSto=V($_POST['TxtSto']);

	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;		
		$LStrFoc="document.getElementById('TxtPre').focus();";		
	}
	//
	if(strlen($StrCmd)==0){
		$StrPre=gs("pre","cotizaciones_con","");
		$StrIgv=gs("igv","cotizaciones_con","");
		$StrMon=gs("mon","cotizaciones_con","");
		$StrFdp=gs("fdp","cotizaciones_con","");
		$StrTde=gs("tde","cotizaciones_con","");
		$StrGar=gs("gar","cotizaciones_con","");
		$StrVal=gs("val","cotizaciones_con","");
		$StrSto=gs("stock","cotizaciones_con","");
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){		
		if(gn("count(*)","cotizaciones_con","")==0){
			$s="INSERT INTO cotizaciones_con 
				VALUES ('$StrPre','$StrIgv','$StrMon',
				'$StrFdp','$StrTde','$StrGar',
				'$StrVal','$StrSto')";
		}else{
			$s="UPDATE cotizaciones_con SET
				pre='$StrPre',igv='$StrIgv',
				mon='$StrMon',fdp='$StrFdp',
				tde='$StrTde',gar='$StrGar',
				val='$StrVal',stock='$StrSto'";
		}
		ejt($s);
		$StrGT="S";
		$LStrMsg="Datos actualizados";
		$LStrFoc="document.getElementById('TxtPre').focus();";		
	}
	
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}
?>
